Bug 1254413 - [RFE] implement incremental backup of pulp data in the katello-backup tool
[RFE] implement incremental backup of pulp data in the katello-backup tool
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.1.0
All Linux
medium Severity high (vote)
: GA
: 6.2
Assigned To: Lukas Zapletal
Chris Roberts
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 00:20 EDT by Anand Vaddarapu
Modified: 2017-11-08 15:16 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, the backup script has been updated to perform incremental backups of the raw packages. This speeds up all subsequent backups.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 07:26:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13121 None None None 2016-04-26 12:58 EDT
Red Hat Knowledge Base (Solution) 1607373 None None None Never

  None (edit)
Description Anand Vaddarapu 2015-08-18 00:20:29 EDT
Description of problem:
Implement incremental backup of pulp and as well as offline backup. Satellite docs says to ensure you have enough space and that it can be a considerable amount but doesn't give any example sizes. Its good to have proper recommendations. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 9 Corey Welton 2015-09-10 15:49:33 EDT
Please assure this is adequately documented before moving to ONQA
Comment 11 Christine Fouant 2016-01-11 15:47:58 EST
Created redmine issue http://projects.theforeman.org/issues/13121 from this bug
Comment 12 Bryan Kearney 2016-01-11 16:03:09 EST
Upstream bug component is Content Management
Comment 13 Bryan Kearney 2016-01-15 12:03:14 EST
Upstream bug component is Packaging
Comment 14 Christine Fouant 2016-03-03 12:53:41 EST
Connecting redmine issue http://projects.theforeman.org/issues/13121 from this bug
Comment 16 Adam Ruzicka 2016-03-23 06:35:11 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/13121 has been closed
-------------
Christine Fouant
Applied in changeset katello:commit:katello-packaging|8f5fecfd1de9d75c705bb4928583e05b9437efde.
Comment 17 Lukas Zapletal 2016-07-15 12:12:27 EDT
VERIFIED SNAP20

Created three backups, one full, two more incremental. No change was made in backup 02, new host was created in 03.


[root@sgi-xe270-01 01]# ll
total 14796
-rw-r--r--. 1 root root   678007 Jul 15 11:53 config_files.tar.gz
-rw-r--r--. 1 root root    17658 Jul 15 11:53 config.snar
-rw-r--r--. 1 root root   566211 Jul 15 11:53 mongo_data.tar.gz
-rw-r--r--. 1 root root      232 Jul 15 11:53 mongo.snar
-rw-r--r--. 1 root root 12644471 Jul 15 11:53 pgsql_data.tar.gz
-rw-r--r--. 1 root root    21746 Jul 15 11:53 postgres.snar
-rw-r--r--. 1 root root  1167360 Jul 15 11:53 pulp_data.tar
-rw-r--r--. 1 root root    35096 Jul 15 11:53 pulp.snar

[root@sgi-xe270-01 01]# cd /
[root@sgi-xe270-01 /]# ll /backup/01
total 14796
-rw-r--r--. 1 root root   678007 Jul 15 11:53 config_files.tar.gz
-rw-r--r--. 1 root root    17658 Jul 15 11:53 config.snar
-rw-r--r--. 1 root root   566211 Jul 15 11:53 mongo_data.tar.gz
-rw-r--r--. 1 root root      232 Jul 15 11:53 mongo.snar
-rw-r--r--. 1 root root 12644471 Jul 15 11:53 pgsql_data.tar.gz
-rw-r--r--. 1 root root    21746 Jul 15 11:53 postgres.snar
-rw-r--r--. 1 root root  1167360 Jul 15 11:53 pulp_data.tar
-rw-r--r--. 1 root root    35096 Jul 15 11:53 pulp.snar
[root@sgi-xe270-01 /]# ll /backup/02
total 4300
-rw-r--r--. 1 root root   22589 Jul 15 11:55 config_files.tar.gz
-rw-r--r--. 1 root root   17658 Jul 15 11:55 config.snar
-rw-r--r--. 1 root root  566328 Jul 15 11:55 mongo_data.tar.gz
-rw-r--r--. 1 root root     232 Jul 15 11:55 mongo.snar
-rw-r--r--. 1 root root 3474028 Jul 15 11:55 pgsql_data.tar.gz
-rw-r--r--. 1 root root   21748 Jul 15 11:55 postgres.snar
-rw-r--r--. 1 root root  245760 Jul 15 11:55 pulp_data.tar
-rw-r--r--. 1 root root   35096 Jul 15 11:55 pulp.snar
[root@sgi-xe270-01 /]# ll /backup/03
total 4592
-rw-r--r--. 1 root root   23745 Jul 15 12:00 config_files.tar.gz
-rw-r--r--. 1 root root   17676 Jul 15 12:00 config.snar
-rw-r--r--. 1 root root  566443 Jul 15 12:00 mongo_data.tar.gz
-rw-r--r--. 1 root root     231 Jul 15 12:00 mongo.snar
-rw-r--r--. 1 root root 3774293 Jul 15 12:00 pgsql_data.tar.gz
-rw-r--r--. 1 root root   21746 Jul 15 12:00 postgres.snar
-rw-r--r--. 1 root root  245760 Jul 15 12:00 pulp_data.tar
-rw-r--r--. 1 root root   35096 Jul 15 12:00 pulp.snar
Comment 18 Lukas Zapletal 2016-07-15 12:35:36 EDT
One comment tho - it is unclear how to restore from incremental backup. But this is out off scope of this BZ, we will file upstream ticket for this:

https://github.com/Katello/katello-packaging/pull/144#issuecomment-233001940
Comment 19 Bryan Kearney 2016-07-27 07:26:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.